Subject: Re: [Tsvwg] Making draft-davie-ecn-mpls a TSVWG item

From: [email-masked]
Date: Wed, 17 Jan 2007 11:24:13 +0100

discussion was led on the list mid november - no real
conclusion or action where derived from the concerns
expressed at that time - note that the first point is
not at all an issue about process (discussion slides 
during MPLS WG meetings without feedback and certainly 
no conclusion simply does not ensure a safe path) -
another question is around value/functionality vs the
overhead in putting such fct at MPLS level (being by
definition a fwd'ing paradigm, bind to the end-to-end
networking paradigm of IP)

- see below for the details -

        Bruce Davie <[email-masked]>
        15/11/2006 13:55 
                 To: Dimitri PAPADIMITRIOU/BE/ALCATEL@ALCATEL
                 cc: Magnus Westerlund <[email-masked]>, 
tsvwg <[email-masked]>
                 Subject: Re: [Tsvwg] Re: [mpls] Making 
draft-davie-ecn-mpls a TSVWG item

On Nov 14, 2006, at 6:07 PM, [email-masked] wrote:

> hi -
>
> 1. CN marking in the EXP bits of the MPLS header falls imho under the
> MPLS change process that states for an optional problem statement and
> a mandatory prior requirements statement I-D to commit for any 
> specific
> change or extension to MPLS
>
> see section 2.1.1 and 4.2 of
>
> <http://www.ietf.org/internet-drafts/draft-andersson-rtg-gmpls- 
> change-06.txt>
>

I'll let the ADs and WG chairs argue about the process issue  you've 
raised, but I do have a comment on the following:

> 2. on one side there is a PCN BoF during previous meeting on the other
> the document uses PCN as motivation for copying the CE state into 
> outer
> header at ingress - if found this rather circular as reasoning 
> where is
> the real "problem statement" outside PCN scope for such operation ?

I wonder if perhaps you have not read the latest (-01) version of 
draft-davie-ecn-mpls

[dp] i read that version - my remark refers to section 7. in that 
section it seems that the inner->outer CE is driven by PCN needs (also
part of the discussion slides)

You will notice that the abstract does not mention PCN, and that the 
list of changes from the last draft includes this statement:

    o  Pre-congestion notification (PCN) marking is now described in a
       way that does not require normative references to PCN
       specifications.  PCN discussion now serves only to illustrate how
       the ECN marking concepts can be extended to cover more complex
       scenarios, with PCN being an example.

The motivation for this work is to prevent ECN from being broken when 
traversing an MPLS network. That seems sufficient motivation for the 
draft whether or not PCN becomes a problem that the IETF wants to 
work on.

[dp] the same section 7 mentions

"[RFC3168] does not give any reasons against conveying CE information
 from the inner header to the outer in the "full functionality" mode."

nor the other way around - which leaves the point open for ECN itself
-> the issue i am raising is that in absence of evidence current the 
processing should be left per RFC3168 and not inline with the expected
PCN needs (even if it does not affect the former)

-d.

>
> thanks,
> - d.
>
>
>
>
>
> Magnus Westerlund <[email-masked]>
> 14/11/2006 11:48
>
>         To:     tsvwg <[email-masked]>
>         cc:
>         Subject:        [mpls] Making draft-davie-ecn-mpls a TSVWG 
> item
>
>
> Hi,
> (BCC MPLS for information)
>
> Based on feedback from the TSVWG session in San Diego we think 
> there is
> consensus on adopting draft-davie-ecn-mpls as a TSVWG work item. We 
> are
> hereby confirming this consensus on the list. If you have an opinion
> please state it.
>
> Cheers
>
> Magnus Westerlund
> TSVWG chair
>
> Multimedia Technologies, Ericsson Research EAB/TVA/A
> ----------------------------------------------------------------------
> Ericsson AB                | Phone +46 8 4048287
> Torshamsgatan 23           | Fax   +46 8 7575550
> S-164 80 Stockholm, Sweden | mailto: [email-masked]
>
> _______________________________________________
> mpls mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/mpls
>

<[email-masked]>
16/01/2007 08:22
 
        To:     <[email-masked]>
        cc: 
        Subject:        Re: [Tsvwg] Making draft-davie-ecn-mpls a TSVWG 
item

< Attachment smime.p7s removed >

On Nov 14, 2006, at 5:48 AM, Magnus Westerlund wrote:
>
> Based on feedback from the TSVWG session in San Diego we think there
> is consensus on adopting draft-davie-ecn-mpls as a TSVWG work item. We

> are hereby confirming this consensus on the list. If you have an
> opinion please state it.

We haven't seen any responses arguing differently. To ensure no such
responses where lost due to the recent mailing list problems: Please
speak up now if you disagree with the call above. Otherwise we'll go
ahead shortly and adopt this.

Lars
--
NEW EMAIL: [email-masked]
NEW MOBILE: +358 50 48 24461
NEW JABBER: [email-masked]

---

From: <[email-masked]>
Date: Thu, 18 Jan 2007 12:49:31 +0200

Dimitri,

> expressed at that time 

thanks for pointing out that this draft was also discussed elsewhere!

As for your specific points:

> > specific change or extension to MPLS
> >
<http://www.ietf.org/internet-drafts/draft-andersson-rtg-gmpls-change-06
.txt>

The process described in that document isn't official procedure yet, and
has raised significant concern in parts of the IESG. IMO it is unlikely
to proceed without major changes. Hence, it's questionable that we
should apply it here and now.

> PCN needs (even if it does not affect the former)

I'm not quite sure I understand your point - are you saying that the
benefits of ECN for MPLS are unclear?

Thanks,
Lars